"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const privilegesService = require("../privilege/service");
const oauth2_1 = require("@curveball/oauth2");
/**
 * The privileges middleware is responsible for adding ctx.privileges
 *
 * ctx.privileges is a helper object that makes it easy for controllers
 * and other middlewares to check what kind of privileges the currently logged
 * in user has.
 */
function default_1() {
    return async (ctx, next) => {
        let privileges = [];
        if (ctx.auth.isLoggedIn()) {
            privileges = await privilegesService.getPrivilegesForPrincipal(ctx.auth.principal);
        }
        ctx.privileges = new oauth2_1.PrivilegesHelper(privileges);
    };
}
exports.default = default_1;
//# sourceMappingURL=privileges.js.map