"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
// Funny how this number ended up being the last changelog migration...
const MAGIC_CHANGELOG_NUMBER = 42;
async function up(knex) {
    // If table changelog is unavailable,
    //  or if the last changelog migration row is less than < 42.
    if (!await knex.schema.hasTable('changelog')) {
        throw new Error('Old Migrations have never run, please apply those manually and then run `make migrate`.');
    }
    const result = await knex('changelog').select('id').orderBy('id', 'desc').limit(1);
    if (result[0].id < MAGIC_CHANGELOG_NUMBER) {
        throw new Error('Migrations must have reached `changelog` version 42 before applying Knex migrations, please apply those manually and then run `make migrate`.');
    }
}
exports.up = up;
async function down(knex) {
    // This is the first migration of the new system, there are only the
    //  old patches from before.
}
exports.down = down;
//# sourceMappingURL=20220105195635_init.js.map