import { Principal, User, Group, App } from '../types';
import { PrincipalsRecord } from 'knex/types/tables';
/**
 * This class provides a wrapper around the principal service APIs.
 *
 * It ensures that the caller (the personal or app that's logged in) has
 * the appropriate privileges to read the associated data.
 */
export declare class PrivilegedPrincipalService {
    private privileges;
    constructor(actor: Principal | 'insecure');
    findAll(type: 'user'): Promise<User[]>;
    findAll(type: 'group'): Promise<Group[]>;
    findAll(type: 'app'): Promise<App[]>;
    findAll(): Promise<Principal[]>;
    checkPrivilege(privilege: string, resource: string): Promise<void>;
}
export declare function recordToModel(user: PrincipalsRecord): Principal;
