"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
const privilegeService = require("../../privilege/service");
const hal = require("../formats/hal");
const http_errors_1 = require("@curveball/http-errors");
const principalService = require("../../principal/service");
const userAppPermissionService = require("../service");
class UserAppPermissionsCollection extends controller_1.default {
    async get(ctx) {
        const principal = await principalService.findByExternalId(ctx.params.id, 'user');
        if (ctx.auth.equals(principal) && !await privilegeService.hasPrivilege(ctx, 'admin')) {
            throw new http_errors_1.Forbidden('You can only use this API for yourself yourself, or if you have \'admin\' privileges');
        }
        const appPermissions = await userAppPermissionService.findByUser(principal);
        ctx.response.body = hal.collection(appPermissions);
    }
}
exports.default = new UserAppPermissionsCollection();
//# sourceMappingURL=user-app-permissions.js.map