"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
const service_1 = require("../../principal/service");
const userService = require("../service");
class UserPasswordController extends controller_1.default {
    async put(ctx) {
        ctx.privileges.require('admin');
        const userBody = ctx.request.body;
        const principalService = new service_1.PrincipalService(ctx.privileges);
        const user = await principalService.findByExternalId(ctx.params.id, 'user');
        const password = userBody.newPassword;
        await userService.updatePassword(user, password);
        ctx.response.status = 204;
    }
}
exports.default = new UserPasswordController();
//# sourceMappingURL=password.js.map